HHMAKE(1)

NAME
hhmake - build an HMM from an input alignment or convert between HMMER format and HHsearch format

SYNOPSIS
hhmake -i <file> -o <file> [options]

DESCRIPTION
HHmake 3.3.0 Build an HMM from an input alignment in A2M, A3M, or FASTA format, or convert between HMMER format (.hmm) and HHsearch format (.hhm). Steinegger M, Meier M, Mirdita M, V??hringer H, Haunsberger S J, and S??ding J (2019) HH-suite3 for fast remote homology detection and deep protein annotation. BMC Bioinformatics, doi:10.1186/s12859-019-3019-7 (c) The HH-suite development team

-i <file>
    query alignment (A2M, A3M, or FASTA), or query HMM

<file> may be 'stdin' or 'stdout' throughout.

  Output options:

-o <file>
    HMM file to be written to (default=<infile.hhm>)

-a <file>
    HMM file to be appended to

-v <int>
    verbose mode: 0:no screen output 1:only warings 2: verbose

-seq <int>
    max. number of query/template sequences displayed (def=10) Beware of overflows! All these sequences are stored in memory.

-add_cons
    make consensus sequence master sequence of query MSA

-name <name>
    use this name for HMM (default: use name of first sequence)

Filter query multiple sequence alignment

-id [0,100] maximum pairwise sequence identity (%) (def=90)

-diff [0,inf[
    filter MSA by selecting most diverse set of sequences, keeping at least this many seqs in each MSA block of length 50 (def=100)

-cov
    [0,100] minimum coverage with query (%) (def=0)

-qid
    [0,100] minimum sequence identity with query (%) (def=0)

-qsc
    [0,100] minimum score per column with query (def=-20.0)

-neff [1,inf]
    target diversity of alignment (default=off)

  Input alignment format:

-M a2m
    use A2M/A3M (default): upper case = Match; lower case = Insert; '-' = Delete; '.' = gaps aligned to inserts (may be omitted)

-M first
    use FASTA: columns with residue in 1st sequence are match states

-M [0,100]
    use FASTA: columns with fewer than X% gaps are match states

  Pseudocount (pc) options:

    Context specific hhm pseudocounts:

-pc_hhm_contxt_mode {0,..,3}
    position dependence of pc admixture 'tau' (pc mode, default=0)

0: no pseudo counts:
    tau = 0

1: constant
    tau = a

    2: diversity-dependent: tau = a/(1+((Neff[i]-1)/b)^c) 3: CSBlast admixture: tau = a(1+b)/(Neff[i]+b) (Neff[i]: number of effective seqs in local MSA around column i)

-pc_hhm_contxt_a
    [0,1] overall pseudocount admixture (def=0.9)

-pc_hhm_contxt_b
    [1,inf[ Neff threshold value for mode 2 (def=4.0)

-pc_hhm_contxt_c
    [0,3] extinction exponent c for mode 2 (def=1.0)

    Context independent hhm pseudocounts (used for templates; used for query if contxt file is not available):

-pc_hhm_nocontxt_mode {0,..,3}
    position dependence of pc admixture 'tau' (pc mode, default=2)

0: no pseudo counts:
    tau = 0

1: constant
    tau = a

    2: diversity-dependent: tau = a/(1+((Neff[i]-1)/b)^c) (Neff[i]: number of effective seqs in local MSA around column i)

-pc_hhm_nocontxt_a
    [0,1] overall pseudocount admixture (def=1.0)

-pc_hhm_nocontxt_b
    [1,inf[ Neff threshold value for mode 2 (def=1.5)

-pc_hhm_nocontxt_c
    [0,3] extinction exponent c for mode 2 (def=1.0)

    Context-specific pseudo-counts:

-nocontxt
    use substitution-matrix instead of context-specific pseudocounts

-contxt <file> context file for computing context-specific pseudocounts (default=)

  Other options:

-maxseq <int>
    max number of input rows (def=65535)

-maxres <int>
    max number of HMM columns (def=20001)

Example: hhmake -i test.a3m -o stdout